# Installation

## STEP 1 - Dependencies

{% hint style="info" %}
**Dependencies:** It is important to use the dependencies that are indicated in this step, do not use others, otherwise you will receive critical errors
{% endhint %}

{% embed url="<https://github.com/overextended/oxmysql/releases>" fullWidth="false" %}

{% embed url="<https://github.com/overextended/ox_lib/releases>" %}

## STEP 2 - Start order

{% hint style="warning" %}
It is important to put the resources in the correct order, oxmysql should be started before es\_extended followed by ox\_lib (should be on top of your starting scripts)
{% endhint %}

In order for the resource to start correctly and not receive any errors, we must start the resources in the following order

```
ensure ox_lib
ensure ox_target
ensure ox_inventory
ensure deluxe-illegalcc
```

## STEP 3 - Script Config

{% hint style="info" %}
You can fully configure the script based on what your server needs. Here you can find a detailed explaination about all the possible configuration that you can use.
{% endhint %}

````lua
```lua
Config = {}

Config.ESX = 'new' -- If you use esx above 1.8 keep new, otherwise type: old

Config.KeyOpenBuy = 38 -- open the menu with 'E' (it will open the menu when you are at the arena zone to open the lobby menu)	

Config.ATM_Models = {-870868698, -1126237515, -1364697528, 506770882} -- You can add / remove ATM Models here 

Config.InteractRange = 2.0 -- You can increase/decrease the distance from where the players will be able to open the lobby menu from the NPC/Marker point. (Higher value equals higher distance interaction)

Config.EnableItemPayments = true -- Enable / Disable item payments (Will let you use each credit card and send bank money to other players)

Config.ItemName = 'illegalcard' -- Illegal credit card item name

Config.OxAlignNotifications = 'center-left' -- Available: 'top' or 'top-right' or 'top-left' or 'bottom' or 'bottom-right' or 'bottom-left' or 'center-right' or 'center-left' [You must have Config.Notificationtype = 'ox']

Config.EnableBlip = true -- Enable / disable blip

Config.ATM_Animation = {
    enabled = true, -- Enable / Disable the ATM Animation
    dict = 'anim@amb@prop_human_atm@interior@male@enter', -- Animation
    animation = 'enter', -- Animation type
    time = 3 -- Duration of the animation (in seconds)
}

Config.Settings = {
	{
		-- Blip settings (won't be needed if Config.EnableBlip is set to false)
		blipname = 'Illegal CC NPC',
		blipspriteid = 84,
		blipscale = 1.0,
		blipcolour = 39,
		-- NPC Settings (will be enabled if enablenpc is set to = true)
		enablenpc = true,
        coords = vec3(858.4778, 3673.5945, 31.9315), -- -- Configure your X, Y, Z coordinates for the NPC
		npcmodel = 's_m_y_dealer_01', -- Website too see peds name: https://wiki.rage.mp/index.php?title=Peds
		npcheading = 77.00 -- Heading of your NPC
	},
}

Config.MisteryCreditCard = { -- Configure mistery credit card
    disablemisterycreditcard = false, -- false = enabled , true = disabled
    buyprice = 7500, -- The mistery credit card price to buy
    minimum_money = 5000, -- Minimum money that the mistery cc will have as balance
    maximum_money = 10000, -- Minimum money that the mistery cc will have as balance
}

--[[ 
    You can generate infinite options, just copy the syntax and add as many credit cards you want!
--]]
Config.CreditCardOptions = {
    first_credit_card = {
        enabled = true ,-- true = enabled / false = disabled
        value = 5000 -- value that it will give to the purchased credit card
    },
    second_credit_card = {
        enabled = true ,
        value = 25000 
    },
    third_credit_card = {
        enabled = true ,
        value = 50000 
    },
}

Config.Translation = {
    ["open_menu"] = "[E] - Buy Illegal credit cards",
    ["illegal_menu"] = "Buy illegal credit cards",
    ["manage_cc"] = "Manage credit card",
    ["your_cc_cards"] = "Your credit cards",
    ["bought_card"] = "You bought the illegal credit card correctly.",
    ["enabled_misterycard"] = "Get a random illegal mistery card.",
    ["disabled_misterycard"] = "We are out of mistery credit card at the moment.",
    ["current_money_menu"] = "Your current money : ",
    ["buy_illegal_credit_card"] = "Buy illegal credit card",
    ["mistery_card_menu"] = "Buy mistery card",
    ["title_notification"] = "Illegal cc shop",
    ["you_bought"] = "You bought an illegal credit card for the value of %s$", -- Keep the %s for the value
    ["you_bought_mistery_card"] = "You bought an illegal mistery credit card for %s$", -- Keep the %s for the value
    ["not_enough_money"] = "You don't have enough money (%s) to buy the illegal credit card", -- Keep the %s for the value
    ["buy_illegal_card_menu_text"] = "Buy illegal credit card for %s", -- Keep the %s for the value
    ["menu_info"] = "You will be able to gift this credit card to anyone or use it to withdraw and deposit money from any atm!",
    ["access_atm"] = "Access the ATM",
    ["card_number"] = "Card Number",
    ["you_couldnt_withdraw"] = "Can't withdraw money",
    ["you_couldnt_withdraw_msg"] = "Not enough money on the card to withdraw. Your have %s$ on your card",  -- Keep the %s for the value
    ["you_withdraw"] = "Succesfully withdraw",
    ["you_withdraw_msg"] = "You withdraw %s$ cash from your card",  -- Keep the %s for the value
    ["you_couldnt_deposit"] = "Can't deposit money",
    ["you_couldnt_deposit_msg"] = "You don't have enough money to make a deposit. Your have %s$ cash",  -- Keep the %s for the value
    ["you_deposit"] = "Succesfully deposit",
    ["you_deposit_msg"] = "You deposit %s$ cash from your card",  -- Keep the %s for the value
    ["mistery_card_webhook"] = "Mistery card",
    ["normal_card_webhook"] = "Normal card",
    ["cannot_deposit_negative_money"] = "You can't deposit negative money",
    ["cannot_withdraw_negative_money"] = "You can't withdraw negative money",
    ["transfer_money_title"] = "Transfer money from illegal card",
    ["amount_to_transfer"] = "Amount of money to deposit to player bank account",
    ["player_id_transfer"] = "Player ID that will receive the money",
    ["player_id_transfer_title"] = "Player ID",
    ["deposit_amount_transfer_title"] = "Deposit Amount",
    ["card_transfer"] = "Credit Card Transfer",
    ["you_transfered"] = "You transfered %s from your credit card to Player ID: [%s] Bank Account" , -- Keep the %s for the value
    ["you_couldnt_transfer"] = "You don't have enough money on your card to make a transfer. Your have %s$ cash on this card",  -- Keep the %s for the value
    ["player_not_online"] = "Player ID: %s is not online.",  -- Keep the %s for the value
}
```
````

## STEP 4 - Webhook Config

{% hint style="info" %}
You can setup webhooks for event as well. It's pretty simple and it's explained there:
{% endhint %}

````lua
```lua

--░██╗░░░░░░░██╗███████╗██████╗░██╗░░██╗░█████╗░░█████╗░██╗░░██╗░██████╗
--░██║░░██╗░░██║██╔════╝██╔══██╗██║░░██║██╔══██╗██╔══██╗██║░██╔╝██╔════╝
--░╚██╗████╗██╔╝█████╗░░██████╦╝███████║██║░░██║██║░░██║█████═╝░╚█████╗░
--░░████╔═████║░██╔══╝░░██╔══██╗██╔══██║██║░░██║██║░░██║██╔═██╗░░╚═══██╗
--░░╚██╔╝░╚██╔╝░███████╗██████╦╝██║░░██║╚█████╔╝╚█████╔╝██║░╚██╗██████╔╝
--░░░╚═╝░░░╚═╝░░╚══════╝╚═════╝░╚═╝░░╚═╝░╚════╝░░╚════╝░╚═╝░░╚═╝╚═════╝░

Config.EnableWebHook = false -- Enable or disable the discord logs (death-match lobby winner) [true = active, false = disabled]
Config.WebhookURL = '' -- Your discord webhook link
	
	-- Color Settings
Config.WebhookColor = '16711680' -- Green, Green: 3145631,  Yellow: 16777073
```
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://deluxedevelopment.gitbook.io/api-docs/esx-scripts-paid/deluxe-illegalcreditcard/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
